#include <stdio.h>
#include <iostream>

using namespace std;


int
main ()
{
  int N;
  int brA;
  int brO;
  int num_O, num_A;
  int num_Oi, num_Ai, num_AO;
  scanf ("%d", &N);
  scanf ("%d%d", &brO, &brA);
  scanf (" %d", &num_O);
  scanf (" %d", &num_A);
  if (num_O > brO)
    {
      cout << "nemoguce";return 0;
    }
  else
    {
      num_Oi = num_O;
      brO = brO - num_O;
      if (num_A > (brA + brO))
  {
    cout << "nemoguce";return 0;
  }
      cout << "moguce" << endl;
      cout << num_Oi << " " << 0 << endl;
    }
 
  if (num_A < brA)
  
{
    num_Ai = num_A;
    cout << 0 << " " <<num_Ai; return 0;
}


  else
  num_Ai=brA;
    num_AO = num_A - num_Ai;
  cout << num_AO << " " << num_Ai;

  return 0;
}